Package net.shibboleth.idp.saml.profile

# Class SAMLAuditFields

java.lang.Object
net.shibboleth.idp.saml.profile.SAMLAuditFields

public final class SAMLAuditFields extends Object
Constants to use for audit logging fields stored in an `AuditContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ASSERTION_ID`
Assertion ID field.
`static final String`
`ASSERTION_ISSUE_INSTANT`
Assertion IssueInstant field.
`static final String`
`AUTHN_CONTEXT`
Authentication method/context/decl field.
`static final String`
`AUTHN_INSTANT`
Authentication timestamp field.
`static final String`
`ENCRYPTION`
Encryption field.
`static final String`
`ENCRYPTION_ALGORITHM`
Encryption algorithm field.
`static final String`
`FORCE_AUTHN`
ForceAuthn requested field.
`static final String`
`IDENTITY_PROVIDER`
Identity Provider field.
`static final String`
`IN_RESPONSE_TO`
InResponseTo field.
`static final String`
`IS_PASSIVE`
IsPassive requested field.
`static final String`
`NAMEID`
Name identifier field.
`static final String`
`NAMEID_FORMAT`
Name identifier Format field.
`static final String`
`NAMEIDPOLICY_FORMAT`
Name identifier Format field.
`static final String`
`NAMEIDPOLICY_SP_NAME_QUALIFIER`
NameID SPNameQualifier field.
`static final String`
`PROTOCOL`
Protocol field.
`static final String`
`PROXY_AUDIENCE`
ProxyRestriction Audience field.
`static final String`
`PROXY_COUNT`
ProxyRestriction ProxyCount field.
`static final String`
`RELAY_STATE`
RelayState binding field.
`static final String`
`REQUEST_BINDING`
Request binding field.
`static final String`
`REQUEST_ID`
Request message ID field.
`static final String`
`REQUEST_ISSUE_INSTANT`
Request message IssueInstant field.
`static final String`
`RESPONSE_BINDING`
Response binding field.
`static final String`
`RESPONSE_ID`
Response message ID field.
`static final String`
`RESPONSE_ISSUE_INSTANT`
Response message IssueInstant field.
`static final String`
`SCOPING_IDP_LIST`
Scoping IdP list field.
`static final String`
`SCOPING_PROXY_COUNT`
Scoping ProxyCount field.
`static final String`
`SCOPING_REQ_LIST`
Scoping RequesterID list field.
`static final String`
`SERVICE_PROVIDER`
Service Provider field.
`static final String`
`SESSION_INDEX`
SessionIndex field.
`static final String`
`SIGNING`
Signed inbound message field.
`static final String`
`SP_NAME_QUALIFIER`
NameID SPNameQualifier field.
`static final String`
`STATUS_CODE`
Status code field.
`static final String`
`STATUS_MESSAGE`
Status message field.
`static final String`
`SUBSTATUS_CODE`
Sub-status code field.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SAMLAuditFields()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SERVICE_PROVIDER

@Nonnull @NotEmpty public static final String SERVICE_PROVIDER
Service Provider field.

See Also:
  - Constant Field Values

### IDENTITY_PROVIDER

@Nonnull @NotEmpty public static final String IDENTITY_PROVIDER
Identity Provider field.

See Also:
  - Constant Field Values

### PROTOCOL

@Nonnull @NotEmpty public static final String PROTOCOL
Protocol field.

See Also:
  - Constant Field Values

### REQUEST_BINDING

@Nonnull @NotEmpty public static final String REQUEST_BINDING
Request binding field.

See Also:
  - Constant Field Values

### RESPONSE_BINDING

@Nonnull @NotEmpty public static final String RESPONSE_BINDING
Response binding field.

See Also:
  - Constant Field Values

### RELAY_STATE

@Nonnull @NotEmpty public static final String RELAY_STATE
RelayState binding field.

See Also:
  - Constant Field Values

### NAMEID

@Nonnull @NotEmpty public static final String NAMEID
Name identifier field.

See Also:
  - Constant Field Values

### NAMEID_FORMAT

@Nonnull @NotEmpty public static final String NAMEID_FORMAT
Name identifier Format field.

See Also:
  - Constant Field Values

### SP_NAME_QUALIFIER

@Nonnull @NotEmpty public static final String SP_NAME_QUALIFIER
NameID SPNameQualifier field. @since 4.0.0

See Also:
  - Constant Field Values

### NAMEIDPOLICY_FORMAT

@Nonnull @NotEmpty public static final String NAMEIDPOLICY_FORMAT
Name identifier Format field.

See Also:
  - Constant Field Values

### NAMEIDPOLICY_SP_NAME_QUALIFIER

@Nonnull @NotEmpty public static final String NAMEIDPOLICY_SP_NAME_QUALIFIER
NameID SPNameQualifier field. @since 4.0.0

See Also:
  - Constant Field Values

### ASSERTION_ID

@Nonnull @NotEmpty public static final String ASSERTION_ID
Assertion ID field.

See Also:
  - Constant Field Values

### ASSERTION_ISSUE_INSTANT

@Nonnull @NotEmpty public static final String ASSERTION_ISSUE_INSTANT
Assertion IssueInstant field.

See Also:
  - Constant Field Values

### REQUEST_ID

@Nonnull @NotEmpty public static final String REQUEST_ID
Request message ID field.

See Also:
  - Constant Field Values

### REQUEST_ISSUE_INSTANT

@Nonnull @NotEmpty public static final String REQUEST_ISSUE_INSTANT
Request message IssueInstant field.

See Also:
  - Constant Field Values

### IN_RESPONSE_TO

@Nonnull @NotEmpty public static final String IN_RESPONSE_TO
InResponseTo field.

See Also:
  - Constant Field Values

### RESPONSE_ID

@Nonnull @NotEmpty public static final String RESPONSE_ID
Response message ID field.

See Also:
  - Constant Field Values

### RESPONSE_ISSUE_INSTANT

@Nonnull @NotEmpty public static final String RESPONSE_ISSUE_INSTANT
Response message IssueInstant field.

See Also:
  - Constant Field Values

### AUTHN_INSTANT

@Nonnull @NotEmpty public static final String AUTHN_INSTANT
Authentication timestamp field.

See Also:
  - Constant Field Values

### SESSION_INDEX

@Nonnull @NotEmpty public static final String SESSION_INDEX
SessionIndex field.

See Also:
  - Constant Field Values

### AUTHN_CONTEXT

@Nonnull @NotEmpty public static final String AUTHN_CONTEXT
Authentication method/context/decl field.

See Also:
  - Constant Field Values

### STATUS_CODE

@Nonnull @NotEmpty public static final String STATUS_CODE
Status code field.

See Also:
  - Constant Field Values

### SUBSTATUS_CODE

@Nonnull @NotEmpty public static final String SUBSTATUS_CODE
Sub-status code field.

See Also:
  - Constant Field Values

### STATUS_MESSAGE

@Nonnull @NotEmpty public static final String STATUS_MESSAGE
Status message field.

See Also:
  - Constant Field Values

### IS_PASSIVE

@Nonnull @NotEmpty public static final String IS_PASSIVE
IsPassive requested field.

See Also:
  - Constant Field Values

### FORCE_AUTHN

@Nonnull @NotEmpty public static final String FORCE_AUTHN
ForceAuthn requested field.

See Also:
  - Constant Field Values

### SCOPING_PROXY_COUNT

@Nonnull @NotEmpty public static final String SCOPING_PROXY_COUNT
Scoping ProxyCount field. @since 4.2.0

See Also:
  - Constant Field Values

### SCOPING_IDP_LIST

@Nonnull @NotEmpty public static final String SCOPING_IDP_LIST
Scoping IdP list field. @since 4.2.0

See Also:
  - Constant Field Values

### SCOPING_REQ_LIST

@Nonnull @NotEmpty public static final String SCOPING_REQ_LIST
Scoping RequesterID list field. @since 4.2.0

See Also:
  - Constant Field Values

### PROXY_COUNT

@Nonnull @NotEmpty public static final String PROXY_COUNT
ProxyRestriction ProxyCount field. @since 4.2.0

See Also:
  - Constant Field Values

### PROXY_AUDIENCE

@Nonnull @NotEmpty public static final String PROXY_AUDIENCE
ProxyRestriction Audience field. @since 4.2.0

See Also:
  - Constant Field Values

### SIGNING

@Nonnull @NotEmpty public static final String SIGNING
Signed inbound message field. @since 4.0.0

See Also:
  - Constant Field Values

### ENCRYPTION

@Nonnull @NotEmpty public static final String ENCRYPTION
Encryption field.

See Also:
  - Constant Field Values

### ENCRYPTION_ALGORITHM

@Nonnull @NotEmpty public static final String ENCRYPTION_ALGORITHM
Encryption algorithm field.

See Also:
  - Constant Field Values

## Constructor Details

### SAMLAuditFields

private SAMLAuditFields()
Constructor.